## libgom 0.3.3

=== meson_options.txt ===
option('enable-gtk-doc', type: 'boolean', value: false, description: 'Enable generating the API reference')
option('enable-introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection')

## libgom 0.3.1

=== debian/changelog ===
libgom (0.3.1-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Enable call to dh_girepository during build (Closes: #788760)
  * debian/rules, debian/control.in: Add Uploaders generation magic

  [ Joseph Herlant ]
  * Imported Upstream version 0.3.1
  * Removing patches integrated in upstream
  * Updating symbols file to match new upstream version
  * debian/rules: Removing -pie flag

 -- Joseph Herlant <herlantj@gmail.com>  Thu, 18 Jun 2015 09:35:39 -0700

libgom (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #762966)

 -- Joseph Herlant <herlantj@gmail.com>  Sat, 11 Oct 2014 12:01:04 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libgom
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Joseph Herlant <herlantj@gmail.com>
Build-Depends: debhelper (>= 9),
               gnome-pkg-tools,
               gobject-introspection,
               gtk-doc-tools,
               libgdk-pixbuf2.0-dev,
               libgettextpo-dev,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.36),
               libsqlite3-dev (>= 3.7)
Standards-Version: 3.9.6
Section: libs
Homepage: https://wiki.gnome.org/Projects/Gom
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libgom.git
Vcs-Git: git://anonscm.debian.org/collab-maint/libgom.git

Package: libgom-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libgom-1.0-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Object mapper from GObjects to SQLite
 Gom provides an object mapper from GObjects to SQLite.
 It helps you write applications that need to store structured data
 as well as make complex queries upon that data.
 .
 This package contains the shared library.

Package: libgom-1.0-0-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libgom-1.0-0 (= ${binary:Version}), ${misc:Depends}
Description: libgom debugging symbols
 Gom provides an object mapper from GObjects to SQLite.
 It helps you write applications that need to store structured data
 as well as make complex queries upon that data.
 .
 This package contains detached debugging symbols for it.

Package: libgom-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libgom-1.0-doc (= ${binary:Version})
Depends: gir1.2-gom-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         libgom-1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: libgom development files
 Gom provides an object mapper from GObjects to SQLite.
 It helps you write applications that need to store structured data
 as well as make complex queries upon that data.
 .
 This package contains headers and libraries for developing
 applications that use libgom.

Package: libgom-1.0-common
Architecture: all
Multi-Arch: foreign
Depends: ${locale:Depends}, ${misc:Depends}
Description: libgom architecture-independent files
 Gom provides an object mapper from GObjects to SQLite.
 It helps you write applications that need to store structured data
 as well as make complex queries upon that data.
 .
 This package contains the architecture independent files
 like translation of messages.

Package: libgom-1.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: libgom API documentation
 Gom provides an object mapper from GObjects to SQLite.
 It helps you write applications that need to store structured data
 as well as make complex queries upon that data.
 .
 This package contains the HTML documentation for the API.

Package: gir1.2-gom-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for libgom
 Gom provides an object mapper from GObjects to SQLite.
 It helps you write applications that need to store structured data
 as well as make complex queries upon that data.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export CONFIG_OPTIONS= \
	--enable-introspection=yes \
	--enable-gtk-doc=yes

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIG_OPTIONS}

override_dh_install:
	# Remove *.la files per policy 3.9.1.0
	rm -fv debian/tmp/usr/lib/*/*.la
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libgom-1.0-0-dbg

## libgom 0.3.2

=== debian/changelog ===
libgom (0.3.2-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Add an explicity build-dependency against intltool
    (Closes: #837837)

  [ Michael Biebl ]
  * Bump debhelper compat level to 10.
  * Bump Standards-Version to 3.9.8.
  * Switch Vcs-Browser to cgit.
  * Add Build-Depends on gnome-common. Required by autoreconf for the
    GNOME_COMPILE_WARNINGS macro.

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Oct 2016 15:05:58 +0200

libgom (0.3.2-1) unstable; urgency=medium

  * Imported Upstream version 0.3.2
  * Drop libgom-1.0-0-dbg, rely on automatic dbgsym package
  * debian/control.in: Bump Standards-Version to 3.9.7 (no further changes)
  * debian/libgom-1.0-0.symbols: Add new exported symbols
  * debian/control.in: Adjust the Vcs-* URL's to please lintian (again)
  * Enable introspection overrides for Python

 -- Laurent Bigonville <bigon@debian.org>  Fri, 22 Apr 2016 17:55:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,25 @@
 Source: libgom
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Joseph Herlant <herlantj@gmail.com>
-Build-Depends: debhelper (>= 9),
+Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
+               gnome-common,
                gobject-introspection,
                gtk-doc-tools,
+               intltool,
                libgdk-pixbuf2.0-dev,
                libgettextpo-dev,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.36),
-               libsqlite3-dev (>= 3.7)
-Standards-Version: 3.9.6
+               libsqlite3-dev (>= 3.7),
+               python-gi-dev,
+               python3 (>= 3.4)
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://wiki.gnome.org/Projects/Gom
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libgom.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/libgom.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libgom.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libgom.git
 
 Package: libgom-1.0-0
 Architecture: any
@@ -34,19 +38,6 @@
  as well as make complex queries upon that data.
  .
  This package contains the shared library.
-
-Package: libgom-1.0-0-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libgom-1.0-0 (= ${binary:Version}), ${misc:Depends}
-Description: libgom debugging symbols
- Gom provides an object mapper from GObjects to SQLite.
- It helps you write applications that need to store structured data
- as well as make complex queries upon that data.
- .
- This package contains detached debugging symbols for it.
 
 Package: libgom-1.0-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 
 export CONFIG_OPTIONS= \
 	--enable-introspection=yes \
+        --enable-python=yes \
 	--enable-gtk-doc=yes
 
 %:
@@ -24,7 +25,8 @@
 override_dh_install:
 	# Remove *.la files per policy 3.9.1.0
 	rm -fv debian/tmp/usr/lib/*/*.la
+	rm -rfv debian/tmp/usr/lib/python3/dist-packages/gi/overrides/__pycache__
 	dh_install --fail-missing
 
 override_dh_strip:
-	dh_strip --dbg-package=libgom-1.0-0-dbg
+	dh_strip --dbgsym-migration='libgom-1.0-0-dbg (<< 0.3.2-1~)'

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gom/([\d\.]+)/ \
  gom-(.*)\.tar\.xz

## libgom 0.3.3

=== debian/changelog ===
libgom (0.3.3-4) unstable; urgency=medium

  * Update Vcs fields for move to https://salsa.debian.org/
  * Update debian/gbp.conf for Debian GNOME team conventions
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 19 Jan 2018 08:20:26 -0500

libgom (0.3.3-3) unstable; urgency=medium

  * debian/patches/01_test_timeout.path: Really fix FTBFS by disabling the
    long running test (Closes: #876284)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 13 Nov 2017 18:47:13 +0100

libgom (0.3.3-2) unstable; urgency=medium

  * debian/patches/01_test_timeout.path: Increase the timeout for the
    test-gom-stress test (Closes: #876284)
  * debian/control.in: Bump Standards-Version to 4.1.1 (no further changes)
  * debian/watch: Use https to check the upstream version

 -- Laurent Bigonville <bigon@debian.org>  Mon, 13 Nov 2017 08:46:20 +0100

libgom (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
  * debian/control.in: Bump debhelper to 10.4 and add meson as build-dep
  * debian/rules: Convert configure options to meson ones
  * debian/control.in: Drop intltool build-dep, upstream dropped i18n support,
    as there are no user-visible strings
  * debian/control.in: Drop gnome-common build-dep now that we are using meson
    (Closes: #830055)
  * debian/control.in: Bump Standards-Version to 4.1.0 (no further changes)
  * debian/gir1.2-gom-1.0.install: Fix installation of the gi override
  * debian/libgom-1.0-doc.examples: Install examples in the -doc package
  * Drop the libgom-1.0-common, there is no translations to install anymore
  * debian/libgom-1.0-dev.install: Don't install the static lib anymore

 -- Laurent Bigonville <bigon@debian.org>  Sun, 17 Sep 2017 13:17:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,32 +5,30 @@
 Source: libgom
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
-               gnome-common,
                gobject-introspection,
                gtk-doc-tools,
-               intltool,
                libgdk-pixbuf2.0-dev,
                libgettextpo-dev,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.36),
                libsqlite3-dev (>= 3.7),
+               meson (>= 0.38.1),
                python-gi-dev,
                python3 (>= 3.4)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Section: libs
 Homepage: https://wiki.gnome.org/Projects/Gom
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libgom.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libgom.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/libgom
+Vcs-Git: https://salsa.debian.org/gnome-team/libgom.git
 
 Package: libgom-1.0-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgom-1.0-common (>= ${source:Version}),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Object mapper from GObjects to SQLite
  Gom provides an object mapper from GObjects to SQLite.
@@ -56,18 +54,6 @@
  This package contains headers and libraries for developing
  applications that use libgom.
 
-Package: libgom-1.0-common
-Architecture: all
-Multi-Arch: foreign
-Depends: ${locale:Depends}, ${misc:Depends}
-Description: libgom architecture-independent files
- Gom provides an object mapper from GObjects to SQLite.
- It helps you write applications that need to store structured data
- as well as make complex queries upon that data.
- .
- This package contains the architecture independent files
- like translation of messages.
-
 Package: libgom-1.0-doc
 Section: doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

export CONFIG_OPTIONS= \
	-Denable-introspection=true \
	-Denable-gtk-doc=true

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIG_OPTIONS}

override_dh_install:
	# Remove *.la files per policy 3.9.1.0
	find debian/tmp -name '*.la' -print -delete
	find debian/tmp -name '__pycache__' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libgom-1.0-0-dbg (<< 0.3.2-1~)'

## libgom 0.4

=== debian/changelog ===
libgom (0.4-1) unstable; urgency=medium

  * New upstream release
    - Bump build-dependency against meson
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Bump debherlper version to 12
  * debian/control.in Add libglib2.0-doc to B-D-I and mark the -doc package
    with Build-Profiles: <!nodoc>
  * debian/control.in: Add Rules-Requires-Root: no

 -- Laurent Bigonville <bigon@debian.org>  Mon, 02 Mar 2020 13:57:22 +0100

libgom (0.3.3-5) unstable; urgency=medium

  * Add dh_makeshlibs -- -c4
  * Add -Wl,-O1 to our LDFLAGS
  * debian/libgom-1.0-0.symbols: Add Build-Depends-Package
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 21:26:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libgom
+Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
                gobject-introspection,
                gtk-doc-tools,
@@ -15,11 +16,12 @@
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.36),
                libsqlite3-dev (>= 3.7),
-               meson (>= 0.38.1),
+               meson (>= 0.48),
                python-gi-dev,
                python3 (>= 3.4)
-Standards-Version: 4.1.3
-Section: libs
+Build-Depends-Indep: libglib2.0-doc <!nodoc>
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Projects/Gom
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgom
 Vcs-Git: https://salsa.debian.org/gnome-team/libgom.git
@@ -27,7 +29,6 @@
 Package: libgom-1.0-0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Object mapper from GObjects to SQLite
@@ -59,6 +60,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
 Description: libgom API documentation
  Gom provides an object mapper from GObjects to SQLite.
  It helps you write applications that need to store structured data

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable-introspection=true \
		-Denable-gtk-doc=true

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_strip:
	dh_strip --dbgsym-migration='libgom-1.0-0-dbg (<< 0.3.2-1~)'

=== debian/watch ===
version=3
https://ftp.gnome.org/pub/GNOME/sources/gom/([\d\.]+)/gom-(.*)\.tar\.xz

## libgom 0.5.0

=== debian/changelog ===
libgom (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on gi-docgen instead of gtk-doc-tools

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 12:07:29 -0400

libgom (0.4-3) unstable; urgency=medium

  * Stop using dh-sequence-gnome
  * Release to unstable (Closes: #1062318, #1055227)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 21:01:41 -0500

libgom (0.4-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Thu, 01 Feb 2024 01:54:39 +0000

libgom (0.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Add debian/upstream/metadata
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Drop transition for old debug package migration
  * Update standards version to 4.6.2, no changes needed

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh_gnome_clean
  * Simplify debian/rules
  * Update debian/gbp.conf for team style
  * Add lintian override for gir package shipping pygobject override
    without Python dependency

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Dec 2023 12:26:22 -0500

libgom (0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Move from libgdk-pixbuf2.0-dev to libgdk-pixbuf-2.0-dev (Closes: #1037389)

 -- Bastian Germann <bage@debian.org>  Sat, 21 Oct 2023 11:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,12 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libgom
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               gnome-pkg-tools,
-               gobject-introspection,
-               gtk-doc-tools,
-               libgdk-pixbuf2.0-dev,
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               gi-docgen,
+               libgdk-pixbuf-2.0-dev,
                libgettextpo-dev,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.36),
@@ -20,13 +15,16 @@
                python-gi-dev,
                python3 (>= 3.4)
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Projects/Gom
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgom
 Vcs-Git: https://salsa.debian.org/gnome-team/libgom.git
 
-Package: libgom-1.0-0
+Package: libgom-1.0-0t64
+Provides: ${t64:Provides}
+Replaces: libgom-1.0-0
+Breaks: libgom-1.0-0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -45,7 +43,7 @@
 Suggests: libgom-1.0-doc (= ${binary:Version})
 Depends: gir1.2-gom-1.0 (= ${binary:Version}),
          libglib2.0-dev,
-         libgom-1.0-0 (= ${binary:Version}),
+         libgom-1.0-0t64 (= ${binary:Version}),
          ${misc:Depends}
 Description: libgom development files
  Gom provides an object mapper from GObjects to SQLite.

## libgom 0.5.2

=== debian/changelog ===
libgom (0.5.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jul 2024 17:32:21 -0400

libgom (0.5.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libgom-1.0-0t64.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Apr 2024 14:32:16 -0400

## libgom 0.5.3

=== debian/changelog ===
libgom (0.5.3-1) unstable; urgency=medium

  * New upstream release
  * deiban/libgom-1.0-0t64.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 14:52:35 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python-gi-dev,
                python3 (>= 3.4)
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Projects/Gom
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgom

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable-introspection=true \
		-Denable-gtk-doc=true

## libgom 0.5.4

=== debian/changelog ===
libgom (0.5.4-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Try removing a Debian patch that disabled a slow test
  * Opt into Salsa CI

  [ Simon McVittie ]
  * d/control: Add missing B-D on gir1.2-*-dev
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
  * Add ${gir:Depends}, ${gir:Provides} to -dev package
  * d/control, d/rules: Don't require gi-docgen unless building documentation
  * Remove libglib2.0-doc from Build-Depends-Indep.
    gi-docgen doesn't use this.
  * d/copyright: Remove references to the GFDL.
    The gi-docgen-based documentation appears to be under the same LGPL
    license as the source code.
  * d/libgom-1.0-doc.links: Make API documentation more discoverable
  * d/libgom-1.0-doc.doc-base.gom-1.0:
    Register API documentation with doc-base
  * Remove obsolete Lintian override
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/tests: Add superficial autopkgtests for the -dev library and typelib
  * d/p/examples-Explicitly-tell-PyGI-which-version-of-Gom-to-imp.patch:
    Add proposed patch fixing a warning in the Python example

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Sep 2025 10:41:07 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)
configure_flags = \
	-Denable-introspection=true \
	$(NULL)

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Denable-gtk-doc=false
else
configure_flags += -Denable-gtk-doc=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

## libgom 0.5.5

=== meson_options.txt ===
option('enable-gtk-doc', type: 'boolean', value: false, description: 'Enable generating the API reference')
option('enable-introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection')
option('pygobject-override-dir', type : 'string', value : '', description: 'Path to pygobject overrides directory')

=== debian/changelog ===
libgom (0.5.5-1) unstable; urgency=medium

  * New upstream release
  * Simplify debian/rules
  * Salsa CI: Opt into testing nodoc build profile
  * Remove remaining patch: applied in new version

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Oct 2025 11:14:04 -0400

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               gi-docgen,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                libgdk-pixbuf-2.0-dev,
                libgettextpo-dev,
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.36),
                libsqlite3-dev (>= 3.7),
                meson (>= 0.48),
                python-gi-dev,
                python3 (>= 3.4)
-Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Build-Depends-Indep: gi-docgen <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://wiki.gnome.org/Projects/Gom
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgom
 Vcs-Git: https://salsa.debian.org/gnome-team/libgom.git
@@ -44,7 +44,9 @@
 Depends: gir1.2-gom-1.0 (= ${binary:Version}),
          libglib2.0-dev,
          libgom-1.0-0t64 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: libgom development files
  Gom provides an object mapper from GObjects to SQLite.
  It helps you write applications that need to store structured data

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable-gtk-doc=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
		-Denable-introspection=true

=== debian/tests/control ===
Tests: gir1.2-gom-1.0
Restrictions: allow-stderr superficial
Depends:
 gir1.2-glib-2.0,
 gir1.2-gobject-2.0,
 gir1.2-gom-1.0,
 python3,
 python3-gi,

Tests: libgom-1.0-dev
Restrictions: allow-stderr superficial
Depends:
 build-essential,
 libgom-1.0-dev,
 pkgconf,

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/gom/cache.json \
	[\d.]+/gom-([\d.]+)@ARCHIVE_EXT@
